# class KAnimWidget | Widget animated using individual icons. More...
Definition | `#include <kanimwidget.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAnimWidget ( const QString& icons, int size = 0, QWidget *parent = 0L, const char *name = 0L )
- KAnimWidget ( const QStringList& icons, int size = 0, QWidget *parent = 0L, const char *name = 0L )
- KAnimWidget ( QWidget *parent = 0L, const char *name = 0L )
- virtual ~KAnimWidget ()
- void start ()
- void stop ()
- void setSize ( int size )
- void setIcons ( const QStringList& icons )
- void setIcons ( const QString& icons )

#### Signals

- void clicked ()

#### Protected Methods

- virtual void drawContents ( QPainter *p )
- virtual void leaveEvent ( QEvent *e )
- virtual void enterEvent ( QEvent *e )
- virtual void hideEvent ( QHideEvent *e)
- virtual void mousePressEvent ( QMouseEvent *e )

#### Protected Slots

- void slotTimerUpdate ()
- void updateIcons ()

## Detailed Description

This is a widget used to display animation using multiple individual pixmaps. This widget allows you to deal with variable size icons (e.g., ones that will change based on a global setting) as it loads the icons internally. All you need to do is pass along a list of icon names and their size and everything else is taken care of.

This widget also emits a 'clicked()' signal when it received a mouse press event.

A quick example:

     QStringList icons;
     icons.append("one");
     icons.append("two");
     icons.append("three");
     KAnimWidget *anim = new KAnimWidget(icons, 0, this);
     anim->start();

That example will search for the pixmaps "one.png", "two.png", and "three.png" in the share/icons/small/ directories as well as the app's pics directory.

KAnimWidget ( const QString& icons, int size = 0, QWidget *parent = 0L, const char *name = 0L ) | ### KAnimWidget

This is the most common constructor. Pass along the name of the animated icons to use (e.g., "kde") for the animation and an optional size to load and you're set. If you omit the size, the default size will be used.

Parameters:

icons | The icons name (e.g., "kde") to use for the animation
size | The size to load You don't have to set it if the parent is a KToolBar; in this case it will use the toolbar's size.
parent | The standard parent
name | The standard internal name

KAnimWidget ( const QStringList& icons, int size = 0, QWidget *parent = 0L, const char *name = 0L ) | ### KAnimWidget

This is the constructor to use if you are using custom (non-standard) icons for the animation. Pass along your list of icons to use for the animation and an optional size to load and you're set. If you omit the size, the default size will be used.

Parameters:

icons | The icons to use for the animation
size | The size to load You don't have to set it if the parent is a KToolBar; in this case it will use the toolbar's size.
parent | The standard parent
name | The standard internal name

KAnimWidget ( QWidget *parent = 0L, const char *name = 0L ) | ### KAnimWidget

Default constructor. This will not do anything until you use setIcons() later.

Parameters:

parent | The standard parent
name | The standard internal name

~KAnimWidget () | ### ~KAnimWidget

[virtual]

Destructor

void start () | ### start

Start the animation from frame 1

void stop () | ### stop

Stop the animation. This will also reset the widget to frame 1.

void setSize ( int size ) | ### setSize

Set the size of the icons.

Parameters:

size | The size of the icons

void setIcons ( const QStringList& icons ) | ### setIcons

Set the list of icons to use for the animation. They will all be loaded using the `MainBarIcon`() function so make sure that they are toolbar icons... or at least loadable using `MainBarIcon`().

Parameters:

icons | The icons to use for the animation

void setIcons ( const QString& icons ) | ### setIcons

Set the name of the animated icons to load. This will use the KIconLoader::loadAnimated method for the actual loading.

Parameters:

icons | The name of the icons to use for the animation

void clicked () | ### clicked

[signal]

void drawContents ( QPainter *p ) | ### drawContents

[protected virtual]

Reimplemented from QFrame.

void leaveEvent ( QEvent *e ) | ### leaveEvent

[protected virtual]

void enterEvent ( QEvent *e ) | ### enterEvent

[protected virtual]

void hideEvent ( QHideEvent *e) | ### hideEvent

[protected virtual]

void mousePressEvent ( QMouseEvent *e ) | ### mousePressEvent

[protected virtual]

void slotTimerUpdate () | ### slotTimerUpdate

[protected slots slot]

void updateIcons () | ### updateIcons

[protected slots slot]

- Author: Kurt Granroth <granroth@kde.org>
- Generated: root@sparc.ports.openbsd.org on Wed May 2 09:37:45 2001, using kdoc 2.0a53.